## neutron-taas 7.0.0+git2021090913.5088e8e

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.0 # Apache-2.0
Babel>=2.8.0 # BSD
neutron>=16.0.0.0b1  # Apache-2.0
neutron-lib>=2.6.0 # Apache-2.0

# Opt-in for neutron-lib consumption patches
# http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html
# neutron-lib-current

=== debian/changelog ===
neutron-taas (7.0.0+git2021090913.5088e8e-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 13:27:34 -0400

neutron-taas (7.0.0+git2021062816.33c25b5-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:47:27 -0400

neutron-taas (7.0.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:26 +0000

neutron-taas (7.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Get tarballs from pypi.debian.net.
  * New upstream release for OpenStack Wallaby.
  * d/control: Add vim BD as tests are failing without it.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 11:09:42 -0400

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 2.6.0),
 python3-openstackdocstheme (>= 1.30.0),
 python3-os-testr (>= 0.8.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.7.5),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.5.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 vim,
Standards-Version: 4.2.1
Homepage: http://github.com/openstack/tap-as-a-service
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas

Package: neutron-taas-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
 python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
Replaces:
 neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
 python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
Description: OpenStack virtual network service - Tap-as-a-Service common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the common files for the Tap-as-a-Service (TaaS)
 extension.

Package: python3-neutron-taas
Architecture: all
Depends:
 python3-babel (>= 2.8.0),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 2.6.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python-neutronclient,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
 extension.

## neutron-taas 8.0.0+git2022011308.c9d0468

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr>=5.5.0 # Apache-2.0
 Babel>=2.8.0 # BSD
 neutron>=16.0.0.0b1  # Apache-2.0
-neutron-lib>=2.6.0 # Apache-2.0
+neutron-lib>=2.11.0 # Apache-2.0
 
 # Opt-in for neutron-lib consumption patches
 # http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html

=== debian/changelog ===
neutron-taas (8.0.0+git2022011308.c9d0468-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.
  * d/control: Remove remaining py2 BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 08:49:28 -0500

neutron-taas (8.0.0+git2021120910.351c1fb-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/switch-away-from-mock-auto-spec.patch: Fix unit test failure
    due to use of Mock with autospec=True.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:09:10 -0500

=== debian/control ===
--- 
+++ 
@@ -6,34 +6,32 @@
 Uploaders:
  James Page <james.page@ubuntu.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 5.5.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-babel (>= 2.8.0),
- python3-coverage (>= 4.0),
- python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 2.6.0),
- python3-openstackdocstheme (>= 1.30.0),
+ python3-coverage,
+ python3-neutron (>= 19.0.0),
+ python3-neutron-lib (>= 2.11.0),
+ python3-openstackdocstheme,
  python3-os-testr (>= 0.8.0),
  python3-oslosphinx (>= 4.7.0),
- python3-oslotest (>= 1:3.2.0),
- python3-psycopg2 (>= 2.7.5),
- python3-pymysql (>= 0.7.6),
+ python3-oslotest (>= 1:4.4.1),
+ python3-psycopg2 (>= 2.8.5),
+ python3-pymysql (>= 0.10.0),
  python3-requests-mock (>= 1.5.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-stestr (>= 1.0.0),
- python3-subunit (>= 1.0.0),
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-stestr,
+ python3-subunit (>= 1.4.0),
+ python3-testresources (>= 2.0.1),
+ python3-testscenarios (>= 0.5.0),
+ python3-testtools (>= 2.4.0),
  vim,
 Standards-Version: 4.2.1
 Homepage: http://github.com/openstack/tap-as-a-service
@@ -79,9 +77,9 @@
 Architecture: all
 Depends:
  python3-babel (>= 2.8.0),
- python3-neutron (>= 2:16.0.0~),
- python3-neutron-lib (>= 2.6.0),
- python3-pbr (>= 2.0.0),
+ python3-neutron (>= 19.0.0),
+ python3-neutron-lib (>= 2.11.0),
+ python3-pbr (>= 5.5.0),
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=neutron_taas

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tap-as-a-service/tap-as-a-service-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## neutron-taas 10.0.0

=== debian/changelog ===
neutron-taas (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-webtest as build-depends.
  * Rebased remove-auto_spec.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:57:34 +0200

neutron-taas (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:47:13 +0200

neutron-taas (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:46:06 +0100

neutron-taas (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 17:03:55 +0100

neutron-taas (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Debhelper compat level 11.
  * Fixed (build-)depends for this release, and remove versions when satisfied
    in Bullseye.
  * Add remove-auto_spec.patch (Closes: #1002427).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 14:46:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT := https://opendev.org/x/tap-as-a-service.git

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	rm $(CURDIR)/debian/tmp/usr/etc/neutron/rootwrap.d/taas-i40e-sysfs.filters
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-taas 11.0.0

=== debian/changelog ===
neutron-taas (11.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:09:10 -0400

neutron-taas (11.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Get tarballs from tarballs.opendev.org.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 10:11:09 -0500

neutron-taas (10.0.0+git2023011010.1ffcb341-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:23:59 -0500

neutron-taas (10.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:18:23 -0400

neutron-taas (9.0.0+git2022091316.fc72381-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 16:46:56 -0400

neutron-taas (9.0.0+git2022071815.fedca42-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:28:42 -0400

neutron-taas (9.0.0+git2022060610.2d3d736-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.
  * d/p/*: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:01:25 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 5.5.0),
  python3-setuptools,
@@ -16,9 +16,10 @@
 Build-Depends-Indep:
  python3-babel (>= 2.8.0),
  python3-coverage,
- python3-neutron (>= 19.0.0),
+ python3-mock (>= 3.0.0),
+ python3-neutron (>= 2:19.0.0),
  python3-neutron-lib (>= 2.11.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 2.2.1),
  python3-os-testr (>= 0.8.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:4.4.1),
@@ -27,16 +28,16 @@
  python3-requests-mock (>= 1.5.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-stestr,
+ python3-stestr (>= 3.0.1),
  python3-subunit (>= 1.4.0),
  python3-testresources (>= 2.0.1),
  python3-testscenarios (>= 0.5.0),
  python3-testtools (>= 2.4.0),
+ python3-webtest (>= 2.0.27),
  vim,
-Standards-Version: 4.2.1
-Homepage: http://github.com/openstack/tap-as-a-service
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
+Standards-Version: 4.6.1
 Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
+Homepage: https://opendev.org/openstack/tap-as-a-service
 
 Package: neutron-taas-common
 Architecture: all
@@ -77,7 +78,7 @@
 Architecture: all
 Depends:
  python3-babel (>= 2.8.0),
- python3-neutron (>= 19.0.0),
+ python3-neutron (>= 2:19.0.0),
  python3-neutron-lib (>= 2.11.0),
  python3-pbr (>= 5.5.0),
  ${misc:Depends},

## neutron-taas 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Babel>=2.8.0 # BSD
 neutron>=16.0.0.0b1  # Apache-2.0
 neutron-lib>=2.11.0 # Apache-2.0
+openstacksdk>=0.102.0 # Apache-2.0
+osc-lib>=2.3.0 # Apache-2.0
 
 # Opt-in for neutron-lib consumption patches
 # http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html

=== debian/changelog ===
neutron-taas (12.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 19:08:17 +0000

neutron-taas (12.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 14:58:37 -0400

neutron-taas (11.0.0+git2023090714.615c47f7-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:41:09 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/tap-as-a-service/ tap-as-a-service-(\d.*)\.tar\.gz

## neutron-taas 12.0.0+git.2024.10.07.749ac4557c

=== debian/changelog ===
neutron-taas (12.0.0+git.2024.10.07.749ac4557c-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090447).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:07:51 +0100

neutron-taas (12.0.0+git.2024.10.07.749ac4557c-1) unstable; urgency=medium

  * New upstream released based on latest git commit to include support for
    SQLAlchemy 2.x (Closes: #1072753, #1072083).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2024 03:24:06 +0200

neutron-taas (12.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #1054751).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 10:39:36 +0100

neutron-taas (11.0.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1048388).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 09:29:28 +0200

neutron-taas (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Removed remove-auto_spec.patch now obsolete.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 13:26:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 UPSTREAM_GIT := https://opendev.org/x/tap-as-a-service.git
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -f debian/neutron-taas-openvswitch-agent.init debian/neutron-taas-openvswitch-agent.service
 
 override_dh_auto_test:
 	echo "Do nothing..."

## neutron-taas 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
 pbr>=5.5.0 # Apache-2.0
 Babel>=2.8.0 # BSD
 neutron>=16.0.0.0b1  # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD

=== debian/changelog ===
neutron-taas (13.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:34:49 +0000

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-hacking,
 python3-neutron,
 python3-neutron-lib,
 python3-openstacksdk (>= 0.102.0),
 python3-osc-lib,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Homepage: https://opendev.org/x/tap-as-a-service
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git

Package: neutron-taas-openvswitch-agent
Architecture: all
Depends:
 neutron-common (>= 2:16.0.0),
 python3-neutron-taas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Tap-as-a-Service agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Tap-as-a-Service agent for Open vSwitch.

Package: python3-neutron-taas
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-neutron,
 python3-neutron-lib (>= 2.11.0),
 python3-openstacksdk (>= 0.102.0),
 python3-osc-lib,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-neutronclient,
Breaks:
 python-neutron-taas,
Replaces:
 python-neutron-taas,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python files for the Tap-as-a-Service (TaaS)
 extension.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 UPSTREAM_GIT := https://opendev.org/x/tap-as-a-service.git
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## neutron-taas 14.0.0

=== debian/changelog ===
neutron-taas (14.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 26 Sep 2025 07:46:21 +0000

## neutron-taas 15.0.0

=== debian/changelog ===
neutron-taas (15.0.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Apr 2025 16:38:04 +0000

neutron-taas (15.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 04 Apr 2025 07:36:41 -0700

neutron-taas (14.0.0+git2025030311.7ff8685-0ubuntu2) plucky; urgency=medium

  * d/control: Drop BD on isort; not needed for package.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 12:24:38 +0000

neutron-taas (14.0.0+git2025030311.7ff8685-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:30:56 +0000

neutron-taas (14.0.0+git2025011511.4a7fbb2-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:28:31 +0000

neutron-taas (14.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:33:58 +0100

neutron-taas (14.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix snapshot handling for PBR versioning.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2024 14:54:25 +0100

neutron-taas (13.0.0+git2024080809.749ac455-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 09:49:53 +0100

neutron-taas (13.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:17:50 +0100

neutron-taas (13.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:59:50 +0000

neutron-taas (12.0.0+git2024011916.7c3912b4-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/rules: Purge etc directory from python3-neutron-taas.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:47:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,57 @@
 Source: neutron-taas
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
- Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 5.5.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-babel,
+ python3-babel (>= 2.8.0),
  python3-coverage,
- python3-hacking,
- python3-neutron,
- python3-neutron-lib,
+ python3-neutron (>= 16.0.0~b1),
+ python3-neutron-lib (>= 2.11.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.102.0),
- python3-osc-lib,
- python3-oslosphinx,
- python3-oslotest,
- python3-psycopg2,
- python3-pymysql,
- python3-requests-mock,
- python3-stestr,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-webtest,
- subunit,
- testrepository,
-Standards-Version: 4.4.1
-Homepage: https://opendev.org/x/tap-as-a-service
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
-Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git
+ python3-os-testr (>= 0.8.0),
+ python3-osc-lib (>= 2.3.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-oslotest (>= 1:4.4.1),
+ python3-psycopg2 (>= 2.8.5),
+ python3-pymysql (>= 0.10.0),
+ python3-requests-mock (>= 1.5.0),
+ python3-sphinxcontrib.blockdiag (>= 1.5.4),
+ python3-sphinxcontrib.seqdiag (>= 0.8.4),
+ python3-stestr (>= 3.0.1),
+ python3-subunit (>= 1.4.0),
+ python3-testresources (>= 2.0.1),
+ python3-testscenarios (>= 0.5.0),
+ python3-testtools (>= 2.4.0),
+ python3-webtest (>= 2.0.27),
+ vim,
+Standards-Version: 4.6.1
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-taas
+Homepage: https://opendev.org/openstack/tap-as-a-service
 
-Package: neutron-taas-openvswitch-agent
+Package: neutron-taas-common
 Architecture: all
 Depends:
- neutron-common (>= 2:16.0.0),
- python3-neutron-taas (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
-Description: OpenStack virtual network service - Tap-as-a-Service agent
+Breaks:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Replaces:
+ neutron-taas-openvswitch-agent (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+ python-neutron-taas (<< 4.0.0~a1~git2018083141.84846d5-0ubuntu1~),
+Description: OpenStack virtual network service - Tap-as-a-Service common files
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -67,26 +73,22 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Tap-as-a-Service agent for Open vSwitch.
+ This package provides the common files for the Tap-as-a-Service (TaaS)
+ extension.
 
 Package: python3-neutron-taas
 Architecture: all
-Section: python
 Depends:
- python3-babel,
- python3-neutron,
+ python3-babel (>= 2.8.0),
+ python3-neutron (>= 16.0.0~b1),
  python3-neutron-lib (>= 2.11.0),
  python3-openstacksdk (>= 0.102.0),
- python3-osc-lib,
- python3-pbr,
+ python3-osc-lib (>= 2.3.0),
+ python3-pbr (>= 5.5.0),
  ${misc:Depends},
  ${python3:Depends},
 Enhances:
- python3-neutronclient,
-Breaks:
- python-neutron-taas,
-Replaces:
- python-neutron-taas,
+ python-neutronclient,
 Description: OpenStack virtual network service - Tap-as-a-Service extension
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
@@ -109,5 +111,5 @@
  component that can be utilized for supplying data to a variety of network
  analytics and security applications (e.g. IDS).
  .
- This package provides the Python files for the Tap-as-a-Service (TaaS)
+ This package provides the Python 2 files for the Tap-as-a-Service (TaaS)
  extension.

## neutron-taas 15.0.0+git2025070714.b0c8e4f

=== debian/changelog ===
neutron-taas (15.0.0+git2025070714.b0c8e4f-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 11:33:29 -0700

## neutron-taas 16.0.0~rc1

=== debian/changelog ===
neutron-taas (16.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:38:21 +0000

neutron-taas (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:02:34 +0200

neutron-taas (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:25:03 +0200

neutron-taas (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:36:11 +0200

neutron-taas (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 09:16:27 +0100

neutron-taas (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use oslo-config-generator and oslopolicy-sample-generator to generate the
    config file and policy file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 09:41:10 +0100

## neutron-taas 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 pbr>=5.5.0 # Apache-2.0
-Babel>=2.8.0 # BSD
 neutron>=16.0.0.0b1  # Apache-2.0
 neutron-lib>=2.11.0 # Apache-2.0
 openstacksdk>=0.102.0 # Apache-2.0
+python-openstackclient>=3.12.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0
 
 # Opt-in for neutron-lib consumption patches

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.2.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
neutron-taas (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:37:19 +0200

=== debian/control ===
Source: neutron-taas
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-neutron (>= 2:26.0.0~rc1),
 python3-neutron-lib (>= 3.18.2),
 python3-openstackclient,
 python3-openstacksdk (>= 0.102.0),
 python3-osc-lib,
 python3-oslosphinx,
 python3-oslotest,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-stestr,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Homepage: https://opendev.org/x/tap-as-a-service
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-taas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-taas.git

Package: neutron-taas-openvswitch-agent
Architecture: all
Depends:
 neutron-common (>= 2:16.0.0),
 python3-neutron-taas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Tap-as-a-Service agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Tap-as-a-Service agent for Open vSwitch.

Package: python3-neutron-taas
Architecture: all
Section: python
Depends:
 python3-neutron (>= 2:26.0.0~rc1),
 python3-neutron-lib (>= 3.18.2),
 python3-openstackclient,
 python3-openstacksdk (>= 0.102.0),
 python3-osc-lib,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-neutronclient,
Breaks:
 python-neutron-taas,
Replaces:
 python-neutron-taas,
Description: OpenStack virtual network service - Tap-as-a-Service extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Tap-as-a-Service (TaaS) is an extension to the OpenStack network service
 (Neutron). It provides remote port mirroring capability for tenant virtual
 networks.
 .
 Port mirroring involves sending a copy of packets entering and/or leaving one
 port to another port, which is usually different from the original
 destinations of the packets being mirrored.
 .
 This service has been primarily designed to help tenants (or the cloud
 administrator) debug complex virtual networks and gain visibility into their
 VMs, by monitoring the network traffic associated with them. TaaS honors
 tenant boundaries and its mirror sessions are capable of spanning across
 multiple compute and network nodes. It serves as an essential infrastructure
 component that can be utilized for supplying data to a variety of network
 analytics and security applications (e.g. IDS).
 .
 This package provides the Python files for the Tap-as-a-Service (TaaS)
 extension.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 UPSTREAM_GIT := https://opendev.org/x/tap-as-a-service.git
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -28,6 +28,20 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2
 endif
+
+	# Generate policy
+	mkdir -p $(CURDIR)/debian/python3-neutron-taas/etc/neutron/policy.d/
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+		--output-file $(CURDIR)/debian/python3-neutron-taas/etc/neutron/policy.d/10_neutron_taas_policy.yaml \
+		--namespace tap-as-a-service
+
+	# Generate config
+	mkdir -p $(CURDIR)/debian/neutron-taas-openvswitch-agent/etc/neutron
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+		--output-file $(CURDIR)/debian/neutron-taas-openvswitch-agent/etc/neutron/taas_agent.ini \
+		--wrap-width 140 \
+		--namespace neutron.taas.agent
+
 	dh_install
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-l2gw/tags .*/(\d[\d\.]+)\.tar\.gz

## neutron-taas 16.0.0+git20260116.e83c8fa

=== requirements.txt ===
pbr>=5.5.0 # Apache-2.0
neutron>=16.0.0.0b1  # Apache-2.0
neutron-lib>=2.11.0 # Apache-2.0

# Opt-in for neutron-lib consumption patches
# http://lists.openstack.org/pipermail/openstack-dev/2018-September/135063.html
# neutron-lib-current

=== debian/changelog ===
neutron-taas (16.0.0+git20260116.e83c8fa-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream snapshot from e83c8fafa924953aa0a944c91de51b7ca3375a62
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 27 Jan 2026 15:54:57 -0800

neutron-taas (16.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch:
      - Add signing key verification
      - Update for flamingo release
  * d/u/signing-key.asc: Add Flamingo signing key

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 14:23:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=neutron_taas

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-neutron-taas/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/tap-as-a-service/ tap_as_a_service-(16\.\d.*)\.tar\.gz
